{
  "version": "2.0.0",
  "tasks": [
    {
      "type": "cppbuild",
      "label": "build for windows",
      "command": "gcc",
      "args": [
        "-fdiagnostics-color=always",
        "-std=c17",
        "-D__USE_MINGW_ANSI_STDIO",
        "-g",
        "${workspaceFolder}${pathSeparator}main.c",
        "-o",
        "${workspaceFolder}${pathSeparator}bin${pathSeparator}${workspaceFolderBasename}.exe"
      ],
      "options": {
        "cwd": "${workspaceFolder}"
      },
      "problemMatcher": [
        "$gcc"
      ],
      "group": {
        "kind": "build",
        "isDefault": true
      }
    }
  ]
}
